org.apache.ignite.lang

## Interface IgniteRunnable

All Superinterfaces:
  Runnable, Serializable

All Known Implementing Classes:
  CA, CAX, GridAbsClosure, GridAbsClosureX, GridNioMessageTracker, LongRunningTxTimeDumpSettingsClosure, NoOpClosure, RunnableWrapperClosure, TxOwnerDumpRequestAllowedSettingClosure

    public interface IgniteRunnable
    extends Runnable, Serializable

Grid-aware adapter for `Runnable` implementations. It adds `Serializable` interface to `Runnable` object. Use this class for executing distributed computations on the grid, like in `IgniteCompute.run(IgniteRunnable)` method.

### Method Summary

### Methods inherited from interface java.lang.Runnable

`run`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020